
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用DOJO开发定制小部件，第1部分:使用通用的markup处理程序生成DOJO markup / iVAN</title>

    <meta name="description" content="使用DOJO开发定制小部件，第1部分:使用通用的markup处理程序生成DOJO markup 使用 DOJO 为 Business Space 开发小部件 我们为本系列开发的定制小部件基于 DOJO 1.2.3,已经使用 Mozilla Firefox 3.0.11 在 WebSphere Integration Developer V6.2 上的 Business Space V6.2 中测试过.但是,我们开发的通用框架概念也适用于不使用 Business Space 的 DOJO 应用程序.理解本系列需要具备 DOJO 和 iWidget 框架的基本知识. 我们要讨论在基于 DOJO">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用DOJO开发定制小部件，第1部分:使用通用的markup处理程序生成DOJO markup</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用 DOJO 为 Business Space 开发小部件</p>
<p>我们为本系列开发的定制小部件基于 DOJO 1.2.3，已经使用 Mozilla Firefox 3.0.11 在 WebSphere Integration Developer V6.2 上的 Business Space V6.2 中测试过。但是，我们开发的通用框架概念也适用于不使用 Business Space 的 DOJO 应用程序。理解本系列需要具备 DOJO 和 iWidget 框架的基本知识。</p>
<p>我们要讨论在基于 DOJO 的应用程序中经常遇到的主题。本系列组织为以下几部分：</p>
<p>第 1 部分：使用通用的 markup 处理程序生成 DOJO markup</p>
<p>第 2 部分：使用通用的网格处理程序创建具有分页功能的 Dojo DataGrid 组件</p>
<p>第 3 部分：在 iWidget 中使用多个模板和如何继承基本小部件</p>
<p>第 4 部分：使用通用的 REST 处理程序从 iWidget 发出可配置的 REST 调用</p>
<p>为了便于参考，可下载的 sampleCode.zip 中提供以下文件：</p>
<p>DojoMarkupHandler.js：这是通用 markup 处理程序的 JavaScript 类。</p>
<p>markuphandler.json：这个 JSON 文件包含屏幕上的小部件的属性。</p>
<p>markuphandler.html：这是模板 HTML 文件，其中包含 HTML markup。JSON 文件中声明的所有 div 应该出现在这里。</p>
<p>简介</p>
<p>在第 1 部分中，学习如何使用通用的 markup 处理程序方便地创建 DOJO markup。编写 DOJO 代码从未如此容易！我们将介绍一种使用 DojoMarkupHandler JavaScript 类生成 DOJO markup 的简单方法。这个 markup 处理程序类可以为 dijit.form.ValidationTextBox、dijit.form.SimpleTextarea、dijit.form.MultiSelect 等 DOJO 小部件生成 markup。</p>
<p>本文介绍使用 DOJO markup 处理程序所需的步骤，讲解 markup 处理程序的工作方式。</p>
<p>了解小部件属性</p>
<p>首先，需要在 JSON 文件中定义屏幕上所有小部件的属性。下面是必有属性和可选属性的列表：</p>
<p>必有属性</p>
<p>divname ：这是 div 的名称，其中的组件应该放到 html 中。这个 div 应该出现在模板 HTML 文件中。</p>
<p>type ：这是 DOJO 小部件的类型。支持以下类型：</p>
<p>radiogroup (dijit.form.RadioButton)</p>
<p>textfield (dijit.form.ValidationTextBox)</p>
<p>combobox (dijit.form.ComboBox)</p>
<p>filteringselect (dijit.form.FilteringSelect)</p>
<p>button (dijit.form.Button)</p>
<p>textarea (dijit.form.SimpleTextarea)</p>
<p>checkbox (dijit.form.CheckBox)</p>
<p>multiselect (dijit.form.MultiSelect)</p>
<p>datetextbox (dijit.form.DateTextBox)</p>
<p>autocompleter (Autocompleter)</p>
<p>id ：这是要创建的组件的 ID 或 dojoAttachPoint。</p>
<p>searchAttr ：在组合框中输入值时，根据这个字段搜索数据库。（这个属性对于 MultiSelect、ComboBox、FilteringSelect 和 Autocompleter 是必需的。）</p>
<p>labelAttr ：要显示的标签。（这个属性对于 MultiSelect、ComboBox、FilteringSelect 和 Autocompleter 是必需的。）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 04:44:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/form/" title="form">form</a>, <a href="https://www.iamivan.net/tag/dojo/" title="dojo">dojo</a>, <a href="https://www.iamivan.net/tag/%e9%83%a8%e4%bb%b6/" title="部件">部件</a>, <a href="https://www.iamivan.net/tag/autocomplete/" title="autocomplete">autocomplete</a>, <a href="https://www.iamivan.net/tag/markup/" title="markup">markup</a>, <a href="https://www.iamivan.net/tag/%e5%b0%8f%e7%a8%8b%e5%ba%8f/" title="小程序">小程序</a>, <a href="https://www.iamivan.net/tag/multiselect/" title="multiselect">multiselect</a>, <a href="https://www.iamivan.net/tag/multiselect%e4%b8%8b%e6%8b%89%e6%a1%86/" title="multiselect下拉框">multiselect下拉框</a>, <a href="https://www.iamivan.net/tag/%e5%b0%8f%e9%83%a8%e4%bb%b6/" title="小部件">小部件</a>, <a href="https://www.iamivan.net/tag/dijit%e5%8f%91%e5%b8%83%e5%90%8e%e8%b7%af%e5%be%84%e9%85%8d%e7%bd%ae/" title="dijit发布后路径配置">dijit发布后路径配置</a>, <a href="https://www.iamivan.net/tag/jquery-multiselect/" title="jQuery Multiselect">jQuery Multiselect</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用DOJO开发定制小部件，第1部分:使用通用的markup处理程序生成DOJO markup的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaVxPM.html" rel="bookmark">使用DOJO开发定制小部件&comma;第2部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用DOJO开发定制小部件,第2部分:使用通用的网格处理程序生成DOJO DataGrid组件 简介 我们为本系列开发的定制小部件是基于 DOJO 1.2.3,并已经使用 Mozilla Firefox 3.0.11 在 WebSphere Integration Developer V6.2 上的 Business Space V6.2 中测试过.但是,我们开发的通用框架概念也适用于不使用 Business Space 的 DOJO 应用程序.学习本系列需要具备 DOJO 和 iWidget			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b34v3M.html" rel="bookmark">使用Dojo开发定制Business Space小部件，第4部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们为本系列开发的定制小部件是基于 WebSphere V7.0 支持的 Business Space(以下简称 Business Space)中附带的 Dojo 版本,已经在 Mozilla Firefox 3.0.11 中测试过了.只是,我们开发的通用框架概念甚至可以应用到使用 Dojo 的应用程序中,但却不能用于 Business Space.学习本系列需要具备 DOJO 和 iWidget 框架的基本知识. 我们将讨论在基于 Dojo 的应用程序中经常遇到的主题.本系列分为以下几部分:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp81yoz.html" rel="bookmark">使用Dojo开发定制Business Space小部件，第3部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Dojo开发定制Business Space小部件,第3部分: 在iWidget中使用多个模板和从基本小部件继承 简介 我们为本系列开发的定制小部件是基于 WebSphere V7.0 支持的 Business Space(以下简称 Business Space)中附带的 Dojo 版本,已经在 Mozilla Firefox 3.0.11 中测试过了.只是,我们开发的通用框架概念甚至可以应用到使用 Dojo 的应用程序中,但却不能用于 Business Space.学习本系列需要具备 DO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjBX0b.html" rel="bookmark">综合JSF和Dojo小部件创建更好的用户体验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 JSF 是一种流行的 Web 框架.相当稳定并已被广泛应用于 Java Platform, Enterprise Edition (Java EE) 领域.Dojo 是一种功能最为强大的 Web 2.0 库之一,可用来为您的 Web 应用程序创建丰富的界面. 通过综合使用这两种技术,您就能享受到两种技术的好处.在服务器端,好处体现在对组件端对端的生命周期管理.后端 bean 数据捆绑和事件处理.在客户机端,您将能利用 Dojo 的丰富小部件.实时动画(比如淡出和滑变效果)以及拖放功能.此外			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEJKrAM.html" rel="bookmark">使用Dojo Mobile 1&period;8新的小部件增强您的移动应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是由三部分组成的系列文章的第一部分,通过许多代码示例探索了这些新功能.在第 1 部分中,将了解 Dojo Mobile 1.8 中引入的新小部件.与小部件相关的实用程序类,以及一些模块. Dojo Mobile 1.8 引入了许多可用于http://www.aliyun.com/zixun/aggregation/14219.html&quot;&gt;移动应用程序的新的小部件和模块.您可在 dijit 或 dojox 包中找到适用于移动应用程序的小部件,但 Dojo Mobile 小部件的设计仅包含			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YRkqp.html" rel="bookmark">扩展Dojo dijits创建自己的自定义小部件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Dojo Toolkit 是一个强大的 http://www.aliyun.com/zixun/aggregation/33906.html&quot;&gt;JavaScript 库,支持 Web 开发人员使用面向对象的小部件,用最少的开发时间和工作量来创建富 Internet 应用程序.Dojo Toolkit 提供了 4 个包,它们分别是 Dojo(核心).Dijit(UI 框架).dojox(dojo 扩展)和 util.您可以原封不动地使用该工具包提供的功能,也可扩展它们并创建自己的小部件.提供			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2jlkp.html" rel="bookmark">在您的浏览器中拖放HTML5开发小部件&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这个由 3 部分组成的系列文章的第一篇文章中,将介绍这个在浏览器上运行的免费开源项目, 使设计师能够拖放一组丰富的小部件来构建生动的 UI 模型.在第 1 部分中,将了解 Maqetta 的主要功能和特性,同时原型化一个实际的http://www.aliyun.com/zixun/aggregation/14219.html&quot;&gt;移动应用程序. Maqetta 是一个免费的开源可视编辑工具,它使得设计丰富的 HTML5 用户界面变得更为简单有趣.UI 设计师可以使用 Maqetta (不需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baK9JXp.html" rel="bookmark">Android之AppWidget（桌面小部件）开发浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是AppWidget AppWidget 即桌面小部件,也叫桌面控件,就是能直接显示在Android系统桌面上的小程序,先看图: 图中我用黄色箭头指示的即为AppWidget,一些用户使用比较频繁的程序,可以做成AppWidget,这样能方便地使用.典型的程序有时钟.天气.音乐播放器等.AppWidget 是Android 系统应用开发层面的一部分,有着特殊用途,使用得当的化,的确会为app 增色不少,它的工作原理是把一个进程的控件嵌入到别外一个进程的窗口里的一种方法.长按桌面空白处,会出现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkd5OM.html" rel="bookmark">Android开发5：应用程序窗口小部件App Widgets的实现（附demo）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本次主要是实现一个Android应用,实现静态广播.动态广播两种改变 widget内容的方法,即在上篇博文中实验的基础上进行修改,所以此次实验的重点是AppWidget小部件的实现啦~ 首先,我们简单说一下Widget是一个啥玩意~ 应用程序窗口小部件(Widget)是微小的应用程序视图,可以被嵌入到其它应用程序中(比如桌面)并接收周期性的更新.你可以通过一个App Widget provider来发布一个Widget.可以容纳其它App Widget的应用程序组件被称为App Widge			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwywWM.html" rel="bookmark" class="title">hdu 1198 Farm Irrigation</a>
					<div>
						hdu 1198 的传送门 Sample Input 2 2 DK HF 3 3 ADC FJK IHE -1 -1 Sample Output 2 3 题目大意:有如上图11种土地块,块中的绿色线条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKyX5p.html" rel="bookmark" class="title">解决web标准中IE无法设置滚动条颜色的问题</a>
					<div>
						web|web标准|标准|解决|问题|滚动条 解决办法是将body换成html,您可以在下面的代码中把CSS样式中的body修改运行测试. 以下是HTML网页特效代码,点击运行按钮可查看效果: [Ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdjxdb.html" rel="bookmark" class="title">通过ADO&period;NET读取并显示数据库中的图片</a>
					<div>
						下面举一个从Microsoft SQL Server的PUB数据库读取图片并显示它的例子: 以下是示例源代码:&lt;%@ Import Namespace=&quot;System.Data.Sql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Ay4M.html" rel="bookmark" class="title">使用Javascript的日期函数</a>
					<div>
						javascript|函数|日期 Date(日期)对象可以使用Date()构造器来创建,在前面的教程中我们已经介绍了Date()构造器,这里就不重复叙述.它没有参数,返回的数值就是当前的日期.下面的表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba9xgb.html" rel="bookmark" class="title">RSA加密解密及RSA签名和验证</a>
					<div>
						加密|解密 此Demo包含两个文件,建立一个解决方案,然后建立两个文件,一个为Form,一个为Class,把代码分别复制进去即可 RSA正确的执行过程:加密解密:1.获取密钥,这里是产生密钥,实际应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl7kRb.html" rel="bookmark" class="title">当IoC遇见了Node&period;js</a>
					<div>
						没有IoC的年代 一个简单的例子: var Engine = require('./engine'); var Wheel = require('./wheel'); var Car = functi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kZx4z.html" rel="bookmark" class="title">如何安全地使用电子邮件</a>
					<div>
						虽然电子邮件的使用几乎遍及全球,但并非人人都懂得如何正确使用.以下的使用指南,内容将涵盖邮件病毒.垃圾邮件.网络钓鱼保护.邮件礼节,以及如何处理附件等方面.这些内容能够帮助你捍卫企业利益,也可以帮助你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKx65p.html" rel="bookmark" class="title">Oracle学习（四） 同义词与数据库链接</a>
					<div>
						1.同义词: 在分布式数据库环境中,为了识别一个数据库对象,必须规定主机名.服务器名.对象的拥有者和对 象名.这无疑增加了访问者的访问难度.为了给不同的用户使用数据库对象时提供一个简单的.唯一标 识数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2V64b.html" rel="bookmark" class="title">Photoshop使用通道抠出透明婚纱的新娘</a>
					<div>
						  教程不仅介绍了通道抠图的过程,同时还介绍了一些细节的处理方法.如抠出的婚片带有很多环境色,如果婚纱是白色的就直接用减淡工具涂白.喜欢的朋友让我们一起来欣赏吧. 原图 最终效果 1.这张图像的特点是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91KjgM.html" rel="bookmark" class="title">Win8系统电脑麦克风声音小怎么解决</a>
					<div>
						Win8系统电脑麦克风声音小怎么回事? 1.键鼠标点击桌面右下角任务栏声音设置图标; 2.点击选中录制; 3.出现声音设置窗口,选中麦克风; 4.点击选择属性,弹出麦克风属性设置窗口; 5.在麦克风属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGWKap.html" rel="bookmark" class="title">LOL盒子好用吗和大脚比怎么样</a>
					<div>
						  各自的优点 LOL盒子的LOL战斗力查询,能够让你判断出队友是否很坑,当然这个也不是代表个人的能力 1是比赛盘数太少,有可能只打了1盘,胜率100%,这个你要看好了 2是开黑,5连坐好沟通,团队意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa440z.html" rel="bookmark" class="title">局域网打印机共享怎么设置？如何设置打印机共享？</a>
					<div>
						局域网打印机共享怎么设置?如何设置打印机共享? 要实现两台打印机或者是多台打印机共享,首先要了解如何设置并共享局域网内有打印机电脑的打印机,之后需要解决的是局域网内其它电脑如何找到刚才那台电脑共享出去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZwkZb.html" rel="bookmark" class="title">网页播放器-C&num; 如何用winform播放一个网站中间的视频？</a>
					<div>
						问题描述 C# 如何用winform播放一个网站中间的视频? 我想通过一个WinForm小程序把这个网站:点击打开 上面的视频给放进winform里面播放,主要是那个网站太乱,很多广告,但是又想利用他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNEBKM.html" rel="bookmark" class="title">命令模式--撤销恢复</a>
					<div>
						原文:http://abstractforever.iteye.com/blog/962219 该例子来自阎宏提供的例子程序,以画线为例:   命令接口Command: package com.jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqrVxb.html" rel="bookmark" class="title">ASP&period;NET 页面之间传递值方式优缺点比较&lowbar;实用技巧</a>
					<div>
						本题考查面试者对ASP.NET中多页面传值的理解是否全面.因为ASP.NET的页面表单提交到自身,完成回传的功能,所以默认情况下不能使用POST方式进行多页面传值.关于这些传值方式的分析如下所示.1． ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWW8Wp.html" rel="bookmark" class="title">密码学-在一方不可信的时候如何设计身份验证机制？</a>
					<div>
						问题描述 在一方不可信的时候如何设计身份验证机制? 我是想实现这样一种情况,就是有TrustZone的系统中两个主体A和B A是确定可信的(在secure world, 从硬件上有隔离),而B是一个n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQQw5p.html" rel="bookmark" class="title">html5-如何做到微信公共号上那种&OpenCurlyDoubleQuote;一句话&plus;图片&rdquo;在一行显示的效果？</a>
					<div>
						问题描述 如何做到微信公共号上那种&quot;一句话+图片&quot;在一行显示的效果? 不知道怎么做到那种效果?我现在的做法是 在一行放 两个标签(input和img),然后在两个标签里都加入onc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3yy5z.html" rel="bookmark" class="title">图片、编辑-天天P图中裁剪旋转中的旋转逻辑有人知道么</a>
					<div>
						问题描述 天天P图中裁剪旋转中的旋转逻辑有人知道么 天天P图中裁剪旋转中的旋转逻辑有人知道么?或者ios原生相册中图片编辑的旋转逻辑有人知道么? 解决方案 裁剪就是寻找感兴趣区域,旋转就是摄影变幻和插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj0EyM.html" rel="bookmark" class="title">iOS play video</a>
					<div>
						iOS: How to use MPMoviePlayerController up vote6down votefavorite 3 I've created a blank project (iO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7nOWM.html" rel="bookmark" class="title">如何在客户端上读取大数据文件（NetCDF格式）</a>
					<div>
						问题描述 如何在客户端上读取大数据文件(NetCDF格式) 小妹这里遇到一个技术问题,请各位大牛不吝赐教啊. 我们现在在做一个小网站,主要实现在客户端上传NETCDF文件,然后再服务器端读入,并对读入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBjZvb.html" rel="bookmark" class="title">css&plus;div布局的优点及css的好处</a>
					<div>
						css+div布局的优点及css的好处.现在流行做网页设计都必须懂css+div布局,特别是那种前台设计师们,这是他们找工作的重要一个亮点哦,今天我们就来看看css 布局的优势所在吧. 一.页面载入快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVEvb.html" rel="bookmark" class="title">Blink iOS正式上线</a>
					<div>
						摘要: 1/ 今天,施凯文进军熟人社交领域的 IM 类产品 Blink iOS 正式上线,Android 版会在本月底上线. 2/ 施凯文此前曾表示,Blink 今年 5 月底获得创新工场接近 100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYVwOp.html" rel="bookmark" class="title">&lbrack;MySQL5&period;6&rsqb; Percona Server 5&period;6&period;14的线程池浅析</a>
					<div>
						Percona的线程池 基本上是从Mariadb中引入,其实现思路也比较简单,就是在线程调度器那增加了一组新的回调函数.线程池可以有效改善在大并发下的性能: Thread pool的原理在Percon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBngwM.html" rel="bookmark" class="title">hibernate 向log4j输出sql语句，format&lowbar;sql没有效果！急！</a>
					<div>
						问题描述 &lt;propertyname=&quot;hibernateProperties&quot;&gt;&lt;props&gt;&lt;propkey=&quot;hibernate.di ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNNA9p.html" rel="bookmark" class="title">三星手机s7变形修正是什么&quest;怎么开启变形修正功能&quest;</a>
					<div>
						1.在待机页面下,点击[相机].    2.点击[设定]图标.    3.向上滑动屏幕,点亮[变形修正]右侧滑块开关即可.            现在的智能手机都具备了这个功能那么现在的一些照片机ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N0oZb.html" rel="bookmark" class="title">Python简单进程锁代码实例&lowbar;python</a>
					<div>
						先说说线程 在多线程中,为了保证共享资源的正确性,我们常常会用到线程同步技术. 将一些敏感操作变成原子操作,保证同一时刻多个线程中只有一个线程在执行这个原子操作. 我最常用的是互斥锁,也称独占锁.其次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Dr0b.html" rel="bookmark" class="title">php在window iis的莫名问题的测试方法&lowbar;php技巧</a>
					<div>
						假设php安装在c:\php,在cmd 里面测试php是否有配置问题  复制代码 代码如下: c:\php\php.exe -i 看下是否有一些错误蹦出来 然后调整 php.ini ,把这些错误修正, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jgJ3p.html" rel="bookmark" class="title">linux中RHEL 6&period;5系统安装配置图解教程</a>
					<div>
						说明: 截止目前RHEL 6.x最新版本为RHEL 6.5,下面介绍RHEL 6.5的具体安装配置过程 服务器相关设置如下: 操作系统:RHEL 6.5 64位 IP地址:192.168.0.54 网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0JG7p.html" rel="bookmark" class="title">浅谈如何降低网站跳出率增强用户体验</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站跳出率是衡量一个网站或某一个网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen6jNb.html" rel="bookmark" class="title">结合AJAX进行PHP开发之入门（三）</a>
					<div>
						将 Sajax 连接到相册 利用刚刚创建的代码,我们将用 Sajax 迅速把相册从多页面应用程序转化成活动的 Ajax 应用程序. 因为相册主要有两个函数,get_table() 和 get_imag ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
